<?php
require_once("../../includes/bootstrap.php");
$sesion=new sesion();
//---------------
//cache();
//-----------------
$sesion->set('permiso',permisos($_POST['privilegio']));	

$academia = bootstrap::initBd($sesion->getVar("anio"));

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
</head>
<script>
$(function () {
	var gridInfoPorcNotas=null;
	
    $(document).ready(function(){
        var total_por=0;
		var gr=null;
		var ide_act;
		var wndFaltas,dtSelectFalta,dtsFaltas;
		gridInfoPorcNotas=$("#infoPorcNotas");
	/*//-----------------------------------------------------------------------------------------------------*/
		$("#md_n_txtsedes").change(function(){
			cd_sede=$(this).val();
			dt={cod_cnds:cd_sede,codigo:'a28',mopc:'0'}
			$.ajax({
				type: "POST",
				url: "includes/cargar_selec_normal.php",
				data: dt ,
				success: function(dt){
					$("#md_n_txtjornadas").html(dt);
					$("#md_n_txtjornadas").trigger("change");
				},
			});
		});
	
	/*//-----------------------------------------------------------------------------------------------------*/
	
		$("#md_n_txtjornadas").change(function(){
			jorn=$(this).val();
			$.ajax({
				type: "POST",
				url: "mod_estadisticas/porc_notas_calf/cargar_select_periodos.php",
				data: {sed:$("#md_n_txtsedes").val(),jorn:jorn},
				success: function(rta){
					$("#md_rep_periodos").html(rta);
					$("#md_rep_periodos").trigger("change");
				}
			});
			
		});
		/*------------------------------------------------------*/
		$("#md_rep_periodos").change(function(){
			var per=$(this).val();
			gridInfoPorcNotas.treegrid({
				url:'mod_estadisticas/porc_notas_calf/list_info_notas.php?per='+per,
				queryParams: {
					sede:$("#md_n_txtsedes").val(),
					jorn: $("#md_n_txtjornadas").val(),
				}
			});
		})
	
	/*//-----------------------------------------------------------------------------------------------------*/
		function formatProgress(value){  
            if (value){  
                var s = '<div style="width:100%;border:1px solid #ccc; background:#F5F6CE">' +  
                        '<div style="width:' + value + '%;background:#FE9A2E;color:#000000">' + value + '%' + '</div>'  
                        '</div>';  
                return s;  
            } else {  
                return '';  
            }  
        }  
		
		$("#md_n_txtsedes").trigger("change");
		
		gridInfoPorcNotas.treegrid({  
			url:null,  
			idField:'id',  
			treeField:'ngrup',
			columns:[[  
				{title:'Grupos - Asignaturas',field:'ngrup',width:300},  
				{field:'npro',title:'Nombre Docente',width:180},  
				{field:'nest',title:'N° Est.',width:50,align:'right'},
				{field:'nnot',title:'N° Notas/Est.',width:80,align:'right'},
				{field:'porc',title:'% Calificado',width:120,formatter:formatProgress}  
				
			]]  
		});
		
	});
	
	
    
});
</script>
<body>
<table align="center">
  <tr>
    <td colspan="2" align="center"><table align="center">
        <tr clas class="tit1">
          <td><?php echo $dtsLang['globals']['name_sede'] ?></td>
          <td><?php echo $dtsLang['globals']['name_jornada']?></td>
          <td><?php echo $dtsLang['mod_notas']['periodos']?></td>
        </tr>
        <tr>
          <td><select name="md_n_txtsedes" class="campos" id="md_n_txtsedes" style="width:250px; " >
              <?php
		  	if($cd_docente!=""){
				$sql="SELECT adm_sedes.cod_sede , adm_sedes.nom_sede FROM aca_asignaturasxgrupos 
							INNER JOIN aca_grupos ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo)
							INNER JOIN adm_sedes ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
						WHERE (aca_asignaturasxgrupos.cod_profesor='$cd_docente') GROUP BY adm_sedes.cod_sede";
			}else{
				$sql="SELECT
							DISTINCT adm_sedes.cod_sede, adm_sedes.nom_sede
						FROM
							aca_grupos
							INNER JOIN adm_sedes 
								ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
							INNER JOIN aca_asignaturasxgrupos 
								ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) ORDER BY adm_sedes.con_sede ASC";
			}
			
					
			$academia->instruccion($sql);
			while($reg=$academia->extraer_registro()){
				echo "<option value='".$reg[cod_sede]."' nomsede='".$reg[nom_sede]."' aux='$cmpaux2' >".$reg[nom_sede]."</option>";	
			}
			$academia->liberar();
					
		?>
            </select></td>
          <td><select name="md_n_txtjornadas" class="campos" id="md_n_txtjornadas" style="width:160px">
              <option value="0x">Seleccionar...</option>
            </select></td>
          <td><select name="md_rep_periodos" class="campos" id="md_rep_periodos" style="width:160px">
          	<option value="0x">Seleccionar...</option>
          	</select></td>
        </tr>
      </table></td>
  </tr>
  <tr>
    <td colspan="2" align="center">
		<table id="infoPorcNotas" class="easyui-treegrid" style="height:450px; width:760px"></table>
	</td>
  </tr>
</table>
</body>
</html>